/* $Id: gtkimport.h,v 1.2 2005/03/24 10:27:24 marcusva Exp $
 *
 *  This file is part of LingoTeach, the Language Teaching program
 *  Copyright (C) 2005 Marcus von Appen. All rights reserved.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef LING_GTKIMPORT_H
#define LING_GTKIMPORT_H 1

#include <gtk/gtk.h>
#include <lingoteach.h>

typedef lingLesson* (*ImportFunction) (const char *filename);
typedef GtkWidget* (*OptionsFunction) (void);

void
gtkimport_activate (void);

void
gtkimport_register_filter (const gchar *name, const gchar *version,
                           OptionsFunction option, ImportFunction callback);

void
gtkimport_unregister_filter (const gchar *name, const gchar *version);

#endif /* LING_GTKIMPORT_H */
